opencl-clang-20 (20.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Fix LLVMSPIRVOpts.h/LLVMSPIRVExtensions.inc inclusion.
  * Merge changes from opencl-clang-19 19.1.2-1.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Feb 2026 20:47:25 +0100

opencl-clang-20 (20.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-19 19.1.1-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Dec 2025 01:12:21 +0100

opencl-clang-20 (20.1.0-2) experimental; urgency=medium

  * Restrict watch file to 20.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Sep 2025 14:16:14 +0200

opencl-clang-20 (20.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 May 2025 00:37:31 +0200

opencl-clang-20 (20.~~+git20250114-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fork source package as opencl-clang-20.
  * Rename binary packages: *19* => *20*.
  * Build with llvm 20.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Apr 2025 23:43:10 +0200

opencl-clang-19 (19.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-18 18.1.3-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Feb 2026 22:29:17 +0100

opencl-clang-19 (19.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-18 18.1.2-1.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Dec 2025 22:24:53 +0100

opencl-clang-19 (19.1.0-2) unstable; urgency=medium

  * Merge changes from opencl-clang-18 18.1.1-1.
  * Restrict watch file to 19.* releases.
  * Bump Standards-Version to 4.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Apr 2025 22:21:53 +0200

opencl-clang-19 (19.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream relicensed from legacy LLVM (BSD-3-clause) to Apache-2.0 with
    LLVM exceptions.
  * Fork source package as opencl-clang-19.
  * Rename binary packages: *18* => *19*.
  * Build with llvm 19.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Sep 2024 15:03:27 +0200

opencl-clang-18 (18.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-17 17.0.3-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Feb 2026 00:32:47 +0100

opencl-clang-18 (18.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-17 17.0.2-1.
  * Build with g++-15.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Dec 2025 00:24:05 +0100

opencl-clang-18 (18.1.1-2) unstable; urgency=medium

  * Merge changes from opencl-clang-17 17.0.1-2.
  * Build with g++-14.  (Closes: #1097515)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Sep 2025 11:58:35 +0200

opencl-clang-18 (18.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-17 17.0.1-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Dec 2024 09:30:56 +0100

opencl-clang-18 (18.1.0-2) unstable; urgency=medium

  * Restrict watch file to 18.* releases.
  * Bump Standards-Version to 4.7.0.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Sep 2024 00:45:33 +0200

opencl-clang-18 (18.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fork source package as opencl-clang-18.
  * Rename binary packages: *17* => *18*.
  * Build with llvm 18.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 20:36:38 +0100

opencl-clang-17 (17.0.3-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-16 16.0.8-1

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Feb 2026 23:56:19 +0100

opencl-clang-17 (17.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-16 16.0.6-1
  * Build with g++-15.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Dec 2025 10:25:49 +0100

opencl-clang-17 (17.0.1-2) unstable; urgency=medium

  * Merge changes from opencl-clang-16 16.0.4-1.
  * Build with g++-14.  (Closes: #1097514)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Sep 2025 22:56:11 +0200

opencl-clang-17 (17.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-16 16.0.1-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Dec 2024 00:09:32 +0100

opencl-clang-17 (17.0.0-3) unstable; urgency=medium

  * Restrict watch file to 17.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 18:56:19 +0100

opencl-clang-17 (17.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062835

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 03:02:18 +0000

opencl-clang-17 (17.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Nov 2023 01:50:59 +0100

opencl-clang-17 (17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fork source package as opencl-clang-17.
  * Rename binary packages: *16* => *17*.
  * Build with llvm 17.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 30 Oct 2023 14:25:29 +0100

opencl-clang-16 (16.0.8-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-15 15.0.6-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Feb 2026 23:24:18 +0100

opencl-clang-16 (16.0.6-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-15 15.0.5-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2025 14:46:00 +0100

opencl-clang-16 (16.0.4-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-15 15.0.3-1.
  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Sep 2025 11:47:15 +0200

opencl-clang-16 (16.0.3-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-15 15.0.2-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 09:27:05 +0200

opencl-clang-16 (16.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-15 15.0.1-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Dec 2024 12:25:46 +0100

opencl-clang-16 (16.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062833

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 03:00:39 +0000

opencl-clang-16 (16.0.0-3) unstable; urgency=medium

  * Restrict watch file to 16.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 15:28:50 +0200

opencl-clang-16 (16.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Jun 2023 17:43:03 +0200

opencl-clang-16 (16.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fork source package as opencl-clang-16.
  * Rename binary packages: *15* => *16*.
  * Build with llvm 16.
  * Fix building with distribution-provided llvm/clang.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Apr 2023 15:46:58 +0200

opencl-clang-15 (15.0.6-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-14 14.0.7-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Feb 2026 00:12:12 +0100

opencl-clang-15 (15.0.5-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-14 14.0.5-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2025 06:36:57 +0100

opencl-clang-15 (15.0.3-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-14 14.0.2-3.
  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Sep 2025 23:41:19 +0200

opencl-clang-15 (15.0.2-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-14 14.0.2-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 09:16:36 +0200

opencl-clang-15 (15.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Merge changes from opencl-clang-14 14.0.1-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Dec 2024 12:10:48 +0100

opencl-clang-15 (15.0.0-3) unstable; urgency=medium

  * Restrict watch file to 15.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 15:16:45 +0200

opencl-clang-15 (15.0.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2023 01:06:39 +0100

opencl-clang-15 (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fork source package as opencl-clang-15.
  * Rename binary packages: *14* => *15*.
  * Build with llvm 15.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Oct 2022 10:17:02 +0200

opencl-clang-14 (14.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix LLVMSPIRVOpts.h/LLVMSPIRVExtensions.inc inclusion.
  * Bump Standards-Version to 4.7.3.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Feb 2026 22:53:00 +0100

opencl-clang-14 (14.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Dec 2025 23:10:53 +0100

opencl-clang-14 (14.0.2-3) unstable; urgency=medium

  * Build with g++-14.  (Closes: #1114244)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Sep 2025 08:45:50 +0200

opencl-clang-14 (14.0.2-2) unstable; urgency=medium

  * Fix building with CMake 4.  (Closes: #1113353)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Sep 2025 23:30:16 +0200

opencl-clang-14 (14.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Aug 2025 14:10:32 +0200

opencl-clang-14 (14.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file.
  * Bump Standards-Version to 4.7.0.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Dec 2024 01:02:54 +0100

opencl-clang-14 (14.0.0-4) unstable; urgency=medium

  * Restrict watch file to 14.* releases.
  * Bump Standards-Version to 4.6.2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2023 00:47:13 +0100

opencl-clang-14 (14.0.0-3) unstable; urgency=medium

  * Add .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Oct 2022 22:52:25 +0200

opencl-clang-14 (14.0.0-2) unstable; urgency=medium

  * Cherry-pick commit 9bd6fe4 from upstream to fix intel-compute-runtime
    test failure.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 31 Aug 2022 08:58:18 +0200

opencl-clang-14 (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fork source package as opencl-clang-14.
  * Rename binary packages: *13* => *14*.
  * Build with llvm 14.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 May 2022 10:18:27 +0200

intel-opencl-clang (13.0.0-5) unstable; urgency=medium

  * Add .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Oct 2022 13:52:40 +0200

intel-opencl-clang (13.0.0-4) unstable; urgency=medium

  * Restrict watch file to 13.* releases.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 May 2022 22:41:01 +0200

intel-opencl-clang (13.0.0-3) unstable; urgency=medium

  * control: Add Conflicts/Replaces/Provides: libopencl-clang-x.y-dev.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Feb 2022 01:21:52 +0100

intel-opencl-clang (13.0.0-2) unstable; urgency=medium

  * rules: Parse llvm version from Build-Depends.
  * control: Build-depend on libllvmspirvlib-13-dev.
  * control: Provide virtual package libopencl-clang-13-dev.
  * control: Drop Build-Depends: lldb-13, apparently unused.
  * control: Set Architecture: any.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Feb 2022 09:27:23 +0100

intel-opencl-clang (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Oct 2021 11:02:35 +0300

intel-opencl-clang (13.0~git20210929-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build with llvm 13.
  * rules: Set llvm version.
  * control: Drop git from build-depends, not used anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Sep 2021 15:09:59 +0300

opencl-clang-12 (12.0.0-5) unstable; urgency=medium

  * Add .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Sep 2022 19:05:29 +0200

opencl-clang-12 (12.0.0-4) unstable; urgency=medium

  * Restrict watch file to 12.* releases.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 May 2022 14:06:22 +0200

opencl-clang-12 (12.0.0-3) unstable; urgency=medium

  [ Timo Aaltonen ]
  * rules: Set llvm version.
  * control: Drop git from build-depends, not used anymore.
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.

  [ Andreas Beckmann ]
  * rules: Parse llvm version from Build-Depends.
  * control: Build-depend on libllvmspirvlib-12-dev.
  * control: Drop Build-Depends: lldb-12, apparently unused.
  * control: Set Architecture: any.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * Add myself to Uploaders.
  * Have one set of packages per llvm version:
    - Fork source package as opencl-clang-12.
    - Rename binary package: libopencl-clang-dev => libopencl-clang-12-dev.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Feb 2022 20:12:59 +0100

intel-opencl-clang (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:57:54 +0300

intel-opencl-clang (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Jun 2021 12:32:32 +0300

intel-opencl-clang (12.0~git20210510-1) experimental; urgency=medium

  * New upstream snapshot.
    - build with llvm-12

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 May 2021 17:58:01 +0300

opencl-clang-11 (11.0.0-3) unstable; urgency=medium

  * Add .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 17:55:45 +0200

opencl-clang-11 (11.0.0-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * rules: Set llvm version.
  * control: Drop git from build-depends, not used anymore.
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.

  [ Andreas Beckmann ]
  * rules: Parse llvm version from Build-Depends.
  * control: Build-depend on libllvmspirvlib-11-dev.
  * control: Drop Build-Depends: lldb-11, apparently unused.
  * control: Set Architecture: any.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * Add myself to Uploaders.
  * Have one set of packages per llvm version:
    - Fork source package as opencl-clang-11.
    - Rename binary package: libopencl-clang-dev => libopencl-clang-11-dev.
  * Enable all hardening flags.
  * Restrict watch file to 11.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 14:55:06 +0200

intel-opencl-clang (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Nov 2020 12:59:06 +0200

intel-opencl-clang (11.0~git20200922-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build with llvm-11.
  * Link-with-libclang-cpp-for-out-of-tree-build.patch: Dropped,
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Sep 2020 20:42:53 +0300

intel-opencl-clang (10.0.0-2) unstable; urgency=medium

  * control: Build -dev on amd64/i386 like the lib. (Closes: #955815)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Apr 2020 21:11:04 +0300

intel-opencl-clang (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with llvm-10.
  * control: Use debhelper-compat, bump to 12.
  * control: Bump policy to 4.5.0.
  * Link-with-libclang-cpp-for-out-of-tree-build.patch: Add a patch to
    fix build with llvm-10, and add libclang-cpp10-dev to build-
    depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Apr 2020 19:01:48 +0300

intel-opencl-clang (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with llvm9.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Sep 2019 15:08:42 +0300

intel-opencl-clang (8.0.1-1) unstable; urgency=medium

  * New upstream release.
  * dlopen-soname.diff: Dropped, upstream.
  * control: Bump build-dep on libllvmspirvlib-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 10:19:54 +0300

intel-opencl-clang (8.0.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Bump build-dep on llvm/clang.
  * watch: Added.
  * Follow upstream and rename binaries.
  * dlopen-soname.diff: Make sure the soname is opened instead of linker
    name.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Apr 2019 16:14:20 +0300

intel-opencl-clang (0+git20190318-1) experimental; urgency=medium

  * New upstream snapshot.
  * Build against libllvmspirvlib8.
  * Sync with ocl-open-80 -branch.
  * control: Add homepage.
  * control: Limit to amd64, i386.
  * control: Build with clang-8.
  * Rename binaries back to libcommon-clang*.
  * rules: Fix build against libllvmspirvlib.
  * control: Bump build-dep on libllvmspirvlib-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Mar 2019 18:31:35 +0200

intel-opencl-clang (0+git20190204-1) experimental; urgency=medium

  * Initial release (Closes: #921426)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Feb 2019 11:23:01 +0200
